Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MWAWOLEParserInternal::CompObj Class Reference

Internal: internal method to compobj definition. More...

## Public Member Functions
| CompObj ()
| the constructor More...
char const * | getCLSName (unsigned long v)
| return the CLS Name corresponding to an identifier More...

## Protected Member Functions
void | initCLSMap ()
| initialise a map CLSId <-> name More...

## Protected Attributes
std::map< unsigned long, char const * > | m_mapCls
| map CLSId <-> name More...

## Detailed Description

Internal: internal method to compobj definition.

## Constructor & Destructor Documentation

## ◆ CompObj()

MWAWOLEParserInternal::CompObj::CompObj | ( |  | ) |
| inline

the constructor

## Member Function Documentation

## ◆ getCLSName()

char const* MWAWOLEParserInternal::CompObj::getCLSName | ( | unsigned long | v | ) |
| inline

return the CLS Name corresponding to an identifier

## ◆ initCLSMap()

void MWAWOLEParserInternal::CompObj::initCLSMap | ( |  | ) |
| inline protected

initialise a map CLSId <-> name

Referenced by CompObj().

## Member Data Documentation

## ◆ m_mapCls

std::map<unsigned long, char const *> MWAWOLEParserInternal::CompObj::m_mapCls
| protected

map CLSId <-> name

Referenced by getCLSName().

The documentation for this class was generated from the following file:

- MWAWOLEParser.cxx